@import url('https://fonts.googleapis.com/css2?family=DotGothic16&family=Roboto&display=swap');
/*
FONT FAMILY NAMES
Heading Font = font-family: 'DotGothic16', sans-serif;
Paragraph Font = font-family: 'Roboto', sans-serif;
*/

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

h1, h2, h3 {
    font-family: 'DotGothic16', sans-serif;
}

p, li {
    font-family: 'Roboto', sans-serif;
    color: #D1D1D1;
}

/*----------- MOBILE FIRST STYLINGS -----------------*/

/*This container serves as the background image for the page in mobile view*/
body {
    background-image: url('../images/survive-bg-image.jpg');
    background-repeat: no-repeat;
    overflow-x: hidden;
    background-attachment: fixed;
    background-position-x: center;
    background-position-y: center;
    background-size: cover;
}

/* The styles directly below are for the main header*/
#main-header {
    font-size: 5rem;
    font-weight: bold;
    text-align: center;
    font-family: 'DotGothic16', sans-serif;
    letter-spacing: 8px;
    color: #D1D1D1;
    text-transform: uppercase;
}

#header-link{
    text-decoration: none;
    color: #d1d1d1;
}

/*The styles below are for the music button container, the music buttons themselves and the icons contained within them*/
#music-btn-container {
    display: flex;
    justify-content: space-around;
    margin-top: 10px;
}

#play-music-btn, #mute-music-btn {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    background-color:rgba(98, 98, 98, 0.8);
    color: #D1D1D1;
    border: solid #D1D1D1 2px;
    cursor: pointer;
    transition: color 0.3s;
}

#play-music-btn, #mute-music-btn i {
    font-size: 1rem;
}

/*The styles below are for the rules container which loads automatically when the page is loaded*/
#rules-container {
    width: 90%;
    height: auto;
    margin: 3rem auto;
    padding: 5px;
    background-color: rgba(98, 98, 98, 0.8);
    display: table;
    border-radius: 8px;
    -webkit-box-shadow: 0px 0px 19px 2px rgba(209,209,209,0.46); 
    box-shadow: 0px 0px 19px 2px rgba(209,209,209,0.46);
}

#rules-container p {
    text-align: center;
    max-width: 90%;
    margin: 5px auto;
}

.rules-list li {
    list-style-position: inside;
    margin-left: 5px;
    margin-bottom: 8px;
}

/*These styles are for the start game button at the bottom of the rules container*/
#start-game {
    width: 140px;
    height: auto;
    display: block;
    margin: 30px auto 10px auto;
    font-family: 'DotGothic16', sans-serif;
    border-radius: 8px;
    font-size: 30px;
    font-weight: bolder;
    background-color: #D1D1D1;
    transition: color 0.3s;
    cursor: pointer;
}

#start-game:hover{
    color:#D1D1D1;
    background-color: black;
    transition-timing-function: ease-in-out;
}

/*These styles are for the game container where the score, question number, situation and question are displayed*/
#game-container {
    width: 90%;
    height: auto;
    margin: 10px auto;
    padding: 5px;
    background-color: rgba(98, 98, 98, 0.8);
    display: none;
    text-align: center;
    border-radius: 8px;
    -webkit-box-shadow: 0px 0px 19px 2px rgba(209,209,209,0.30); 
    box-shadow: 0px 0px 19px 2px rgba(209,209,209,0.30);
}

#score-block h2 {
    color: #D1D1D1;
}

.game-content {
    font-family: 'Roboto', sans-serif;
    color: #D1D1D1;
    display: block;
}

#number-container {
    margin-top: 20px;
    font-size: 20px;
    font-weight: bolder;
}

#situation-container {
    margin-top: 20px;
}

#question-container {
    margin-top: 20px;
    font-style: italic;
    font-weight: bold;
    font-size: 120%;
    padding-bottom: 20px;
}

/*The below styles are for the answer button container and the answer buttons themselves*/
#answer-btn-container{
    display: none;
    justify-content: space-around;
    flex-wrap: wrap;
    margin-bottom: 5%;
}

.answer-btn {
    width: 45%;
    height: 60px;
    margin-top: 20px;
    background-color: rgba(153,0,0);
    border-radius: 10px;
    border: none;
    font-family: 'Roboto', sans-serif;
    color: #D1D1D1;
    font-weight: bold;
    transition: color 0.3s;
    cursor: pointer;
}

.answer-btn:active {
    color: rgb(153,0,0);
    background-color: #D1D1D1;
    -webkit-box-shadow: 0px 0px 19px 2px rgba(209,209,209,0.30); 
    box-shadow: 0px 0px 19px 2px rgba(209,209,209,0.30);
    transition-timing-function: ease-in-out;
}

/*The below styles are for the score div containers which appear at the end of the game and the content that sits within them*/
.score-div {
    background: rgba(98, 98, 98, 0.9);
    width: 90%;
    margin: 5% auto;
    display: none;
    border-radius: 8px;
    padding-bottom: 10px;
    -webkit-box-shadow: 0px 0px 19px 2px rgba(209,209,209,0.30); 
    box-shadow: 0px 0px 19px 2px rgba(209,209,209,0.30);
}

.score-div h2 {
    text-align: center;
    color: #D1D1D1;
}

.score-div p {
    text-align: center;
    margin-top: 10px;
    max-width: 90%;
    margin-left: 5%;
}

.score-img-flex-container {
    display: flex;
    align-items: center;
}
.score-div img {
    width: 100px;
    height: 100px;
    margin: 20px auto 0 auto;
}

.play-again-btn {
    display: block;
    margin: 30px auto 10px auto;
    font-family: 'DotGothic16', sans-serif;
    border-radius: 8px;
    font-size: 30px;
    font-weight: bolder;
    background-color: #D1D1D1;
    padding: 5px 10px;
    transition: color 0.3s;
    cursor: pointer;
}

.play-again-btn:hover{
    color:#D1D1D1;
    background-color: black;
    transition-timing-function: ease-in-out;
}
/*These style rules hide the score containers until the assessScore function in script.js overrides them depending on the value of scoreTally*/
#best-score {
    display: none;
}

#good-score {
    display: none;
}

#bad-score {
    display: none;
}

#worst-score {
    display: none;
}

/*-----------TABLET MEDIA QUERY-------------*/
@media only screen and (min-width: 768px){
    #main-header {
        font-size: 8rem;
    }

    #music-btn-container {
        width: 60%;
        margin: 0 auto;
    }

    #play-music-btn, #mute-music-btn {
        width: 75px;
        height: 75px;
    }

    #play-music-btn, #mute-music-btn i {
        font-size: 1.5rem;
    }

    #rules-container {
        width: 65%;
    }

    #game-container {
        width: 60%;
        margin: 60px auto;
    }

    #answer-btn-container {
        width: 70%;
        margin: 0 auto 30px auto;
    }

    .score-div {
        width: 50%;
        margin-top: 100px;
    }
}

/*------SMALLER LAPTOP SCREEN MEDIA QUERY-------*/
@media only screen and (min-width: 1024px){
    #play-music-btn:hover, #mute-music-btn:hover{
        background-color: #D1D1D1;
        border: solid rgb(98, 98, 98) 2px;
        color: rgb(98, 98, 98);
        transition-timing-function: ease-in-out;
    }
    
    #rules-container {
        width: 50%;
    }

    #music-btn-container {
        width: 40%;
    }

    #situation-container {
        max-width: 90%;
        margin: 20px auto;
    }

    #game-container {
        width: 40%;
    }

    #answer-btn-container {
        width: 100%;
        flex-wrap: nowrap;
        margin-bottom: 80px;
    }

    .answer-btn {
        width: 18%;
    }

    .answer-btn:active {
        color: rgb(153,0,0);
        background-color: #D1D1D1;
        -webkit-box-shadow: 0px 0px 19px 2px rgba(209,209,209,0.30); 
        box-shadow: 0px 0px 19px 2px rgba(209,209,209,0.30);
        transition-timing-function: ease-in-out;
    }

    .score-div {
        width: 30%;
    }
}

/*------MEDIA QUERY FOR LAPTOPS TO ENSURE THAT HOVER EFFECT IS NOT APPLIED TO TABLETS--------*/
@media only screen and (min-width: 1280px){
    .answer-btn:hover {
        color: rgb(153,0,0);
        background-color: #D1D1D1;
        -webkit-box-shadow: 0px 0px 19px 2px rgba(209,209,209,0.30); 
        box-shadow: 0px 0px 19px 2px rgba(209,209,209,0.30);
        transition-timing-function: ease-in-out;
    } 
}

/*-------LARGER SCREEN MEDIA QUERY-----------*/
@media only screen and (min-width: 1440px){
    #rules-container {
        width: 25%;
    }

    #game-container {
        width: 28%;
    }

    .score-div {
        width: 25%;
    }
}
